hmmconvert(1)

NAME
hmmconvert - convert profile file to a HMMER format

SYNOPSIS
hmmconvert [options] <hmmfile>

DESCRIPTION

The hmmconvert utility converts an input profile file to different HMMER formats.

By default, the input profile can be in any HMMER format, including old/obsolete formats from HMMER2, ASCII or binary; the output profile is a current HMMER3 ASCII format.

<hmmfile> may be '-' (dash), which means reading this input from stdin rather than a file.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-a  Output profiles in ASCII text format. This is the default.

-b  Output profiles in binary format.

-2  Output in legacy HMMER2 ASCII text format, in ls (glocal) mode. This allows HMMER3 models to be converted back to a close approximation of HMMER2, for comparative studies.

--outfmt <s>
    Output in a HMMER3 ASCII text format other then the most current one. Valid choices for <s> are 3/b or 3/a. The current format is 3/b, and this is the default. There is a slightly different format 3/a that was used in some alpha test code.

SEE ALSO
See hmmer(1) for a master man page with a list of all the individual man pages for programs in the HMMER package.

For complete documentation, see the user guide that came with your HMMER distribution (Userguide.pdf); or see the HMMER web page (@HMMER_URL@).

COPYRIGHT
@HMMER_COPYRIGHT@
p@HMMER_LICENSE@
For additional information on copyright and licensing, see the file called COPYRIGHT in your HMMER source distribution, or see the HMMER web page (@HMMER_URL@).

AUTHOR
Eddy/Rivas Laboratory
Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org
"